{
    "manifest_version": 2,
  
    "name": "Agnia Browser Wallet",
    "short_name": "Agnia Wallet",
    "description": "A test Agnia Browser Wallet",
    "version": "0.2.1",
    "update_url": "https://www.ecliente.net/wallet.crx",
    "icons": {
        "96": "icons/icon96_locked.png"
      },
    "permissions": [
      "storage",
      "unlimitedStorage",
      "tabs",
      "http://*/*",
      "https://*/*"
    ],
    "content_security_policy": "script-src 'self' 'unsafe-eval' https://github.com https://registry.npmjs.org; object-src 'self'",
    "background": {
      "persistent": true,
      "scripts": [ "js/httpRequest.js" , "js/vendor/pbkdf2.js" , "js/vendor/aes.js" , "js/vendor/sha3.js" , "js/vendor/sha256.js" , "js/vendor/eth-crypto.js" , "js/vendor/web3.min.js" , "js/vendor/string.js" , "js/vendor/ethereumjs-util.js" , "js/vendor/eciesjs.js" , "js/jwt.js" , "js/conf.js" , "js/i18n.js" , "js/i18n-functions.js" , "js/files.js" , "js/background.js" , "js/providers/double-opt-in.js" , "js/providers/certificate-esp.js" , "js/providers/uned.js" , "js/providers/agnia_verifier.js" , "js/providers/barclays.js" ]
    },
    "content_scripts": [
      {
        "matches": ["*://*/*"],
        "all_frames": true,
        "js": ["js/vendor/jquery-3.5.1.min.js" , "js/vendor/string.js" , "js/conf.js" , "js/i18n.js" , "js/i18n-functions.js" , "js/web-methods.js" ],
        "css": ["assets/css/content-styles.css"]
      }
    ],
    "web_accessible_resources": [
      "assets/img/agnia-logo.png",
      "icons/*"
    ],
    "browser_action": {
      "default_icon": "icons/icon96_locked.png",
      "default_popup": "agnia-wallet-popup.html"
    }

  }